Subject: Re: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.

From: Michael Albinus <[email-masked]>
Date: Wed, 27 Aug 2014 20:12:12 +0200

Eli Zaretskii <[email-masked]> writes:

>> > 2. Should we signal an error if the input strings are not pure-ASCII
>> >    or multibyte?  Unibyte strings will at best cause incorrect
>> >    results.
>> 
>> Maybe we shall convert the strings to multibyte, via string_to_multibyte()?
>
> That will not help.
>
> I say code that invokes these functions with unibyte non-ASCII strings
> has a bug that should be flagged.

Well, you have much more experience with unicode than I have.

>> > 5. The locale names on Windows are different from Posix: Windows uses
>> >    3-letter abbreviations of the country and the language,
>> >    e.g. "fra_FRA" instead of the Posix "fr_FR".  Do we want the locale
>> >    string values used for let-binding the above-mentioned variable to
>> >    be portable across systems?  Then we'd need some conversion
>> >    database on MS-Windows.
>> 
>> Here I'm a bit undecided. We could let it to the users to find the
>> proper locale name, but this is inconvenient. OTOH it would be much work
>> to install a mapping system, and we would need to maintain it. What if
>> there would be a new "en_SC" (Scotland) locale? We would need to
>> maintain such changes in Emacs forever ...
>
> I think these interfaces will almost always be used with the current
> locale.  So with that in mind, I think we can document this issue, and
> then safely leave this problem to the code that needs to use
> non-default locales.

I don't get this. What do you propose here? Set the locale specific to
the system Emacs is running, or do you propose a mapping to something
which is portable over system boundaries?

> Thanks.

Best regards, Michael.